Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::DrawShapeArc Class Reference

`#include <DrawShape.h>`

Inheritance diagram for RDKit::MolDraw2D_detail::DrawShapeArc:

## Public Member Functions

| DrawShapeArc (const std::vector< Point2D > points, double ang1, double ang2, double lineWidth=2.0, bool scaleLineWidth=false, const DrawColour &col1=DrawColour(0, 0, 0), bool fill=false, int atom1=-1)
| DrawShapeArc (const DrawShapeArc &)=delete
| DrawShapeArc (DrawShapeArc &&)=delete
| ~DrawShapeArc ()=default
DrawShapeArc & | operator= (const DrawShapeArc &)=delete
DrawShapeArc & | operator= (DrawShapeArc &&)=delete
void | myDraw (MolDraw2D &drawer) const override
void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const override
void | move (const Point2D &trans) override
bool | doesRectClash (const StringRect &rect, double padding) const override
Public Member Functions inherited from RDKit::MolDraw2D_detail::DrawShape
| DrawShape (const std::vector< Point2D > &points, double lineWidth=2.0, bool scaleLineWidth=false, DrawColour lineColour=DrawColour(0, 0, 0), bool fill=false, int atom1=-1, int atom2=-1, int bond=-1)
| DrawShape (const DrawShape &)=delete
| DrawShape (DrawShape &&)=delete
virtual | ~DrawShape ()=default
DrawShape & | operator= (const DrawShape &)=delete
DrawShape & | operator= (DrawShape &&)=delete
void | draw (MolDraw2D &drawer)
virtual void | scale (const Point2D &scale_factor)

## Public Attributes

double | ang1_
double | ang2_
Public Attributes inherited from RDKit::MolDraw2D_detail::DrawShape
std::vector< Point2D > | points_
double | lineWidth_
bool | scaleLineWidth_
DrawColour | lineColour_
bool | fill_
int | atom1_
int | atom2_
int | bond_

## Detailed Description

Definition at line 221 of file DrawShape.h.

## Constructor & Destructor Documentation

## DrawShapeArc() [1/3]

RDKit::MolDraw2D_detail::DrawShapeArc::DrawShapeArc | ( | const std::vector< Point2D > | points,
|  | double | ang1,
|  | double | ang2,
|  | double | lineWidth = `2.0`,
|  | bool | scaleLineWidth = `false`,
|  | const DrawColour & | col1 = `DrawColour(0, 0, 0)`,
|  | bool | fill = `false`,
|  | int | atom1 = `-1`
| ) |  |

## DrawShapeArc() [2/3]

RDKit::MolDraw2D_detail::DrawShapeArc::DrawShapeArc | ( | const DrawShapeArc & |  | ) |

delete

## DrawShapeArc() [3/3]

RDKit::MolDraw2D_detail::DrawShapeArc::DrawShapeArc | ( | DrawShapeArc && |  | ) |

delete

## ~DrawShapeArc()

RDKit::MolDraw2D_detail::DrawShapeArc::~DrawShapeArc | ( |  | ) |

default

## Member Function Documentation

## doesRectClash()

bool RDKit::MolDraw2D_detail::DrawShapeArc::doesRectClash | ( | const StringRect & | rect,
|  | double | padding
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## findExtremes()

void RDKit::MolDraw2D_detail::DrawShapeArc::findExtremes | ( | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax
| ) |  | const

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## move()

void RDKit::MolDraw2D_detail::DrawShapeArc::move | ( | const Point2D & | trans | ) |

override virtual

Reimplemented from RDKit::MolDraw2D_detail::DrawShape.

## myDraw()

void RDKit::MolDraw2D_detail::DrawShapeArc::myDraw | ( | MolDraw2D & | drawer | ) | const

override virtual

Implements RDKit::MolDraw2D_detail::DrawShape.

## operator=() [1/2]

DrawShapeArc & RDKit::MolDraw2D_detail::DrawShapeArc::operator= | ( | const DrawShapeArc & |  | ) |

delete

## operator=() [2/2]

DrawShapeArc & RDKit::MolDraw2D_detail::DrawShapeArc::operator= | ( | DrawShapeArc && |  | ) |

delete

## Member Data Documentation

## ang1_

double RDKit::MolDraw2D_detail::DrawShapeArc::ang1_

Definition at line 247 of file DrawShape.h.

## ang2_

double RDKit::MolDraw2D_detail::DrawShapeArc::ang2_

Definition at line 247 of file DrawShape.h.

The documentation for this class was generated from the following file:

- DrawShape.h